Skip to navigation

Get a sandbox connection

Beta
View as Markdown
Get a sandbox connection and whether it has been revoked.

Authentication

AuthorizationBearer

Use Bearer <api-key>.

Path parameters

sandboxIdstringRequired
connectionIdstringRequired
Unique sandboxConnection identifier generated by BCTRL.

Headers

BCTRL-VersionenumOptional
Dated API version. Defaults to the release pinned when the API key was created.
Allowed values:
BCTRL-SpacestringOptional
Select one authorized Space by its opaque ID or unique name. Omission uses the operation default.
BCTRL-Subaccount-IdstringOptional
Optional effective subaccount context for organization API keys. Subaccount API keys are already scoped and cannot use this header to act as another subaccount.

Response headers

BCTRL-Request-IdstringOptional
Current request identifier, also echoed in errors.
BCTRL-VersionstringOptional
Negotiated dated API version.
RateLimit-Limitinteger

Evaluated policy limit; zero when no finite policy was evaluated.

RateLimit-Remaininginteger

Remaining policy budget; zero when no finite policy was evaluated.

RateLimit-Resetinteger

Seconds until reset; zero when no finite policy was evaluated.

Response

OK
createdAtdatetime
RFC 3339 timestamp with a UTC offset.
expiresAtdatetime
RFC 3339 timestamp with a UTC offset.
idstring
Unique sandboxConnection identifier generated by BCTRL.
object"sandbox_connection"
portinteger or null1-65535
The sandbox port, for a port preview.
protocolenum
Allowed values:
revokedAtdatetime or null
RFC 3339 timestamp with a UTC offset.
sandboxIdstring
Unique sandbox identifier generated by BCTRL.
updatedAtdatetime
RFC 3339 timestamp with a UTC offset.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error